prototypes:
  standard:
    formElementsDefinition:
      GridRow:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            200:
              identifier: label
              templateName: Inspector-TextEditor
              label: formEditor.elements.GridRow.editor.label.label
              propertyPath: label
            700:
              identifier: gridColumnViewPortConfiguration
              templateName: Inspector-GridColumnViewPortConfigurationEditor
              label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.label
              configurationOptions:
                viewPorts:
                  10:
                    viewPortIdentifier: xs
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xs.label
                  20:
                    viewPortIdentifier: sm
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.sm.label
                  30:
                    viewPortIdentifier: md
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.md.label
                  40:
                    viewPortIdentifier: lg
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.lg.label
                  50:
                    viewPortIdentifier: xl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xl.label
                  60:
                    viewPortIdentifier: xxl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xxl.label
                numbersOfColumnsToUse:
                  label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.label
                  propertyPath: 'properties.gridColumnClassAutoConfiguration.viewPorts.{@viewPortIdentifier}.numbersOfColumnsToUse'
                  fieldExplanationText: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.fieldExplanationText
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor
          predefinedDefaults: {  }
          label: formEditor.elements.GridRow.label
          description: formEditor.elements.GridRow.description
          group: container
          groupSorting: 300
          _isCompositeFormElement: true
          _isGridRowFormElement: true
          iconIdentifier: form-gridrow
        implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\GridRow
        properties:
          containerClassAttribute: input
          elementClassAttribute: row
          elementErrorClassAttribute: error
          gridColumnClassAutoConfiguration:
            gridSize: 12
            viewPorts:
              xs:
                classPattern: 'col-{@numbersOfColumnsToUse}'
              sm:
                classPattern: 'col-sm-{@numbersOfColumnsToUse}'
              md:
                classPattern: 'col-md-{@numbersOfColumnsToUse}'
              lg:
                classPattern: 'col-lg-{@numbersOfColumnsToUse}'
              xl:
                classPattern: 'col-xl-{@numbersOfColumnsToUse}'
              xxl:
                classPattern: 'col-xxl-{@numbersOfColumnsToUse}'
        renderingOptions:
          _isCompositeFormElement: true
          _isGridRowFormElement: true
        variants:
          -
            identifier: template-variant
            condition: 'getRootFormProperty("renderingOptions.templateVariant") == "version2"'
            properties:
              containerClassAttribute: ~
              elementClassAttribute: 'form-element form-element-gridrow row'
              elementErrorClassAttribute: ~
    formEditor:
      formEditorPartials:
        FormElement-GridRow: Stage/Fieldset
